/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_MENS                                                     */
/* Tabela : MENSAGEM                                                          */
/*                                                                            */
/* Criao:                                                                   */
/* 18/06/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_MENS
BEFORE INSERT OR UPDATE OR DELETE
ON MENSAGEM FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUMENS := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDMENSAGEM,0) <> NVL(:NEW.CDMENSAGEM,0)) OR
         (NVL(:OLD.DSMENSAGEM,0) <> NVL(:NEW.DSMENSAGEM,0)) OR
         (NVL(:OLD.IDSITUACAOMENS,0) <> NVL(:NEW.IDSITUACAOMENS,0)) THEN
         :NEW.DTULTATUMENS := SYSDATE;
      END IF;   
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('MENSAGEM', '', 'CDMENSAGEM='||:OLD.CDMENSAGEM||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE MENSAGEM MODIFY DTULTATUMENS DEFAULT SYSDATE
/
